SoVRMLVertexPoint(3)

NAME
SoVRMLVertexPoint - The SoVRMLVertexPoint class is a superclass for point based VRML shapes.

SYNOPSIS

#include <Inventor/VRMLnodes/SoVRMLVertexPoint.h>

Inherits SoVRMLGeometry.

Inherited by SoVRMLPointSet.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual void doAction (SoAction *action)
virtual void GLRender (SoGLRenderAction *action)
virtual void getBoundingBox (SoGetBoundingBoxAction *action)
virtual void callback (SoCallbackAction *action)
virtual void pick (SoPickAction *action)
virtual void getPrimitiveCount (SoGetPrimitiveCountAction *action)
virtual void notify (SoNotList *list)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)

  Public Attributes
SoSFNode coord
SoSFNode color

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
SoVRMLVertexPoint (void)
virtual ~SoVRMLVertexPoint ()
virtual SbBool shouldGLRender (SoGLRenderAction *action)
virtual void computeBBox (SoAction *action, SbBox3f &box, SbVec3f &center)

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoVRMLVertexPoint class is a superclass for point based VRML shapes.

Constructor & Destructor Documentation

  SoVRMLVertexPoint::SoVRMLVertexPoint (void) [protected]
Constructor.

  SoVRMLVertexPoint::~SoVRMLVertexPoint () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoVRMLVertexPoint::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoVRMLVertexPoint::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Reimplemented from SoVRMLGeometry.

Reimplemented in SoVRMLPointSet.

  const SoFieldData ** SoVRMLVertexPoint::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoVRMLVertexPoint::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoVRMLGeometry.

Reimplemented in SoVRMLPointSet.

  void SoVRMLVertexPoint::initClass (void) [static]

  void SoVRMLVertexPoint::doAction (SoAction * action) [virtual]
This function performs the typical operation of a node for any action.

Reimplemented from SoNode.

  void SoVRMLVertexPoint::GLRender (SoGLRenderAction * action) [virtual]
Action method for the SoGLRenderAction.

This is called during rendering traversals. Nodes influencing the rendering state in any way or want to throw geometry primitives at OpenGL override this method.

Reimplemented from SoShape.

Reimplemented in SoVRMLPointSet.

  void SoVRMLVertexPoint::getBoundingBox (SoGetBoundingBoxAction * action) [virtual]
Action method for the SoGetBoundingBoxAction.

Calculates bounding box and center coordinates for node and modifies the values of the action to encompass the bounding box for this node and to shift the center point for the scene more towards the one for this node.

Nodes influencing how geometry nodes calculate their bounding box also override this method to change the relevant state variables.

Reimplemented from SoShape.

Reimplemented in SoVRMLPointSet.

  void SoVRMLVertexPoint::callback (SoCallbackAction * action) [virtual]
Action method for SoCallbackAction.

Simply updates the state according to how the node behaves for the render action, so the application programmer can use the SoCallbackAction for extracting information about the scene graph.

Reimplemented from SoShape.

  void SoVRMLVertexPoint::pick (SoPickAction * action) [virtual]
Action method for SoPickAction.

Does common processing for SoPickAction action instances.

Reimplemented from SoNode.

  void SoVRMLVertexPoint::getPrimitiveCount (SoGetPrimitiveCountAction * action) [virtual]
Action method for the SoGetPrimitiveCountAction.

Calculates the number of triangle, line segment and point primitives for the node and adds these to the counters of the action.

Nodes influencing how geometry nodes calculate their primitive count also override this method to change the relevant state variables.

Reimplemented from SoShape.

  void SoVRMLVertexPoint::notify (SoNotList * l) [virtual]
Notifies all auditors for this instance when changes are made.

Reimplemented from SoVRMLGeometry.

  SbBool SoVRMLVertexPoint::shouldGLRender (SoGLRenderAction * action) [protected], [virtual]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

Reimplemented from SoVRMLGeometry.

  void SoVRMLVertexPoint::computeBBox (SoAction * action, SbBox3f & box, SbVec3f & center) [protected], [virtual]
Implemented by SoShape subclasses to let the SoShape superclass know the exact size and weighted center point of the shape's bounding box.

The bounding box and center point should be calculated and returned in the local coordinate system.

The method implements action behavior for shape nodes for SoGetBoundingBoxAction. It is invoked from SoShape::getBoundingBox(). (Subclasses should not override SoNode::getBoundingBox().)

The box parameter sent in is guaranteed to be an empty box, while center is undefined upon function entry.

Implements SoShape.

Member Data Documentation

  SoSFNode SoVRMLVertexPoint::coord
Should contain an SoVRMLCoordinate node.

  SoSFNode SoVRMLVertexPoint::color
Can contain an SoVRMLColor node when color per point is needed.

Author

Generated automatically by Doxygen for Coin from the source code.